#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* ADC_SAR_1_ADC_SAR */
#define ADC_SAR_1_ADC_SAR__CLK CYREG_SAR0_CLK
#define ADC_SAR_1_ADC_SAR__CSR0 CYREG_SAR0_CSR0
#define ADC_SAR_1_ADC_SAR__CSR1 CYREG_SAR0_CSR1
#define ADC_SAR_1_ADC_SAR__CSR2 CYREG_SAR0_CSR2
#define ADC_SAR_1_ADC_SAR__CSR3 CYREG_SAR0_CSR3
#define ADC_SAR_1_ADC_SAR__CSR4 CYREG_SAR0_CSR4
#define ADC_SAR_1_ADC_SAR__CSR5 CYREG_SAR0_CSR5
#define ADC_SAR_1_ADC_SAR__CSR6 CYREG_SAR0_CSR6
#define ADC_SAR_1_ADC_SAR__CSR7 CYREG_SAR0_CSR7
#define ADC_SAR_1_ADC_SAR__PM_ACT_CFG CYREG_PM_ACT_CFG11
#define ADC_SAR_1_ADC_SAR__PM_ACT_MSK 0x01u
#define ADC_SAR_1_ADC_SAR__PM_STBY_CFG CYREG_PM_STBY_CFG11
#define ADC_SAR_1_ADC_SAR__PM_STBY_MSK 0x01u
#define ADC_SAR_1_ADC_SAR__SW0 CYREG_SAR0_SW0
#define ADC_SAR_1_ADC_SAR__SW2 CYREG_SAR0_SW2
#define ADC_SAR_1_ADC_SAR__SW3 CYREG_SAR0_SW3
#define ADC_SAR_1_ADC_SAR__SW4 CYREG_SAR0_SW4
#define ADC_SAR_1_ADC_SAR__SW6 CYREG_SAR0_SW6
#define ADC_SAR_1_ADC_SAR__TR0 CYREG_SAR0_TR0
#define ADC_SAR_1_ADC_SAR__TRIM__TR0 CYREG_FLSHID_MFG_CFG_SAR0_TR0
#define ADC_SAR_1_ADC_SAR__TRIM__TR1 CYREG_FLSHID_MFG_CFG_SAR0_TR1
#define ADC_SAR_1_ADC_SAR__WRK0 CYREG_SAR0_WRK0
#define ADC_SAR_1_ADC_SAR__WRK1 CYREG_SAR0_WRK1

/* ADC_SAR_1_theACLK */
#define ADC_SAR_1_theACLK__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define ADC_SAR_1_theACLK__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define ADC_SAR_1_theACLK__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define ADC_SAR_1_theACLK__CFG2_SRC_SEL_MASK 0x07u
#define ADC_SAR_1_theACLK__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define ADC_SAR_1_theACLK__PM_ACT_MSK 0x01u
#define ADC_SAR_1_theACLK__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define ADC_SAR_1_theACLK__PM_STBY_MSK 0x01u

/* ADC_SAR_2_ADC_SAR */
#define ADC_SAR_2_ADC_SAR__CLK CYREG_SAR1_CLK
#define ADC_SAR_2_ADC_SAR__CSR0 CYREG_SAR1_CSR0
#define ADC_SAR_2_ADC_SAR__CSR1 CYREG_SAR1_CSR1
#define ADC_SAR_2_ADC_SAR__CSR2 CYREG_SAR1_CSR2
#define ADC_SAR_2_ADC_SAR__CSR3 CYREG_SAR1_CSR3
#define ADC_SAR_2_ADC_SAR__CSR4 CYREG_SAR1_CSR4
#define ADC_SAR_2_ADC_SAR__CSR5 CYREG_SAR1_CSR5
#define ADC_SAR_2_ADC_SAR__CSR6 CYREG_SAR1_CSR6
#define ADC_SAR_2_ADC_SAR__CSR7 CYREG_SAR1_CSR7
#define ADC_SAR_2_ADC_SAR__PM_ACT_CFG CYREG_PM_ACT_CFG11
#define ADC_SAR_2_ADC_SAR__PM_ACT_MSK 0x02u
#define ADC_SAR_2_ADC_SAR__PM_STBY_CFG CYREG_PM_STBY_CFG11
#define ADC_SAR_2_ADC_SAR__PM_STBY_MSK 0x02u
#define ADC_SAR_2_ADC_SAR__SW0 CYREG_SAR1_SW0
#define ADC_SAR_2_ADC_SAR__SW2 CYREG_SAR1_SW2
#define ADC_SAR_2_ADC_SAR__SW3 CYREG_SAR1_SW3
#define ADC_SAR_2_ADC_SAR__SW4 CYREG_SAR1_SW4
#define ADC_SAR_2_ADC_SAR__SW6 CYREG_SAR1_SW6
#define ADC_SAR_2_ADC_SAR__TR0 CYREG_SAR1_TR0
#define ADC_SAR_2_ADC_SAR__TRIM__TR0 CYREG_FLSHID_MFG_CFG_SAR1_TR0
#define ADC_SAR_2_ADC_SAR__TRIM__TR1 CYREG_FLSHID_MFG_CFG_SAR1_TR1
#define ADC_SAR_2_ADC_SAR__WRK0 CYREG_SAR1_WRK0
#define ADC_SAR_2_ADC_SAR__WRK1 CYREG_SAR1_WRK1

/* ADC_SAR_2_theACLK */
#define ADC_SAR_2_theACLK__CFG0 CYREG_CLKDIST_DCFG1_CFG0
#define ADC_SAR_2_theACLK__CFG1 CYREG_CLKDIST_DCFG1_CFG1
#define ADC_SAR_2_theACLK__CFG2 CYREG_CLKDIST_DCFG1_CFG2
#define ADC_SAR_2_theACLK__CFG2_SRC_SEL_MASK 0x07u
#define ADC_SAR_2_theACLK__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define ADC_SAR_2_theACLK__PM_ACT_MSK 0x02u
#define ADC_SAR_2_theACLK__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define ADC_SAR_2_theACLK__PM_STBY_MSK 0x02u

/* USBFS_1_bus_reset */
#define USBFS_1_bus_reset__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBFS_1_bus_reset__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBFS_1_bus_reset__INTC_MASK 0x40000000u
#define USBFS_1_bus_reset__INTC_NUMBER 30
#define USBFS_1_bus_reset__INTC_PRIOR_NUM 7
#define USBFS_1_bus_reset__INTC_PRIOR_REG CYREG_NVIC_PRI_30
#define USBFS_1_bus_reset__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBFS_1_bus_reset__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USBFS_1_arb_int */
#define USBFS_1_arb_int__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBFS_1_arb_int__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBFS_1_arb_int__INTC_MASK 0x400000u
#define USBFS_1_arb_int__INTC_NUMBER 22
#define USBFS_1_arb_int__INTC_PRIOR_NUM 7
#define USBFS_1_arb_int__INTC_PRIOR_REG CYREG_NVIC_PRI_22
#define USBFS_1_arb_int__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBFS_1_arb_int__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USBFS_1_ord_int */
#define USBFS_1_ord_int__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBFS_1_ord_int__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBFS_1_ord_int__INTC_MASK 0x2000000u
#define USBFS_1_ord_int__INTC_NUMBER 25
#define USBFS_1_ord_int__INTC_PRIOR_NUM 7
#define USBFS_1_ord_int__INTC_PRIOR_REG CYREG_NVIC_PRI_25
#define USBFS_1_ord_int__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBFS_1_ord_int__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USBFS_1_sof_int */
#define USBFS_1_sof_int__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBFS_1_sof_int__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBFS_1_sof_int__INTC_MASK 0x1000000u
#define USBFS_1_sof_int__INTC_NUMBER 24
#define USBFS_1_sof_int__INTC_PRIOR_NUM 7
#define USBFS_1_sof_int__INTC_PRIOR_REG CYREG_NVIC_PRI_24
#define USBFS_1_sof_int__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBFS_1_sof_int__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USBFS_1_dp_int */
#define USBFS_1_dp_int__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBFS_1_dp_int__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBFS_1_dp_int__INTC_MASK 0x1000u
#define USBFS_1_dp_int__INTC_NUMBER 12
#define USBFS_1_dp_int__INTC_PRIOR_NUM 7
#define USBFS_1_dp_int__INTC_PRIOR_REG CYREG_NVIC_PRI_12
#define USBFS_1_dp_int__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBFS_1_dp_int__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* ADC_SAR_1_IRQ */
#define ADC_SAR_1_IRQ__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define ADC_SAR_1_IRQ__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define ADC_SAR_1_IRQ__INTC_MASK 0x2000u
#define ADC_SAR_1_IRQ__INTC_NUMBER 13
#define ADC_SAR_1_IRQ__INTC_PRIOR_NUM 7
#define ADC_SAR_1_IRQ__INTC_PRIOR_REG CYREG_NVIC_PRI_13
#define ADC_SAR_1_IRQ__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define ADC_SAR_1_IRQ__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* ADC_SAR_2_IRQ */
#define ADC_SAR_2_IRQ__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define ADC_SAR_2_IRQ__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define ADC_SAR_2_IRQ__INTC_MASK 0x01u
#define ADC_SAR_2_IRQ__INTC_NUMBER 0
#define ADC_SAR_2_IRQ__INTC_PRIOR_NUM 7
#define ADC_SAR_2_IRQ__INTC_PRIOR_REG CYREG_NVIC_PRI_0
#define ADC_SAR_2_IRQ__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define ADC_SAR_2_IRQ__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* ISR_DMA_Done */
#define ISR_DMA_Done__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define ISR_DMA_Done__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define ISR_DMA_Done__INTC_MASK 0x4000u
#define ISR_DMA_Done__INTC_NUMBER 14
#define ISR_DMA_Done__INTC_PRIOR_NUM 7
#define ISR_DMA_Done__INTC_PRIOR_REG CYREG_NVIC_PRI_14
#define ISR_DMA_Done__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define ISR_DMA_Done__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* Pin_ADC_In_0 */
#define Pin_ADC_In_0__0__MASK 0x08u
#define Pin_ADC_In_0__0__PC CYREG_PRT0_PC3
#define Pin_ADC_In_0__0__PORT 0
#define Pin_ADC_In_0__0__SHIFT 3
#define Pin_ADC_In_0__AG CYREG_PRT0_AG
#define Pin_ADC_In_0__AMUX CYREG_PRT0_AMUX
#define Pin_ADC_In_0__BIE CYREG_PRT0_BIE
#define Pin_ADC_In_0__BIT_MASK CYREG_PRT0_BIT_MASK
#define Pin_ADC_In_0__BYP CYREG_PRT0_BYP
#define Pin_ADC_In_0__CTL CYREG_PRT0_CTL
#define Pin_ADC_In_0__DM0 CYREG_PRT0_DM0
#define Pin_ADC_In_0__DM1 CYREG_PRT0_DM1
#define Pin_ADC_In_0__DM2 CYREG_PRT0_DM2
#define Pin_ADC_In_0__DR CYREG_PRT0_DR
#define Pin_ADC_In_0__INP_DIS CYREG_PRT0_INP_DIS
#define Pin_ADC_In_0__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Pin_ADC_In_0__LCD_EN CYREG_PRT0_LCD_EN
#define Pin_ADC_In_0__PORT 0
#define Pin_ADC_In_0__PRT CYREG_PRT0_PRT
#define Pin_ADC_In_0__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Pin_ADC_In_0__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Pin_ADC_In_0__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Pin_ADC_In_0__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Pin_ADC_In_0__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Pin_ADC_In_0__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Pin_ADC_In_0__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Pin_ADC_In_0__PS CYREG_PRT0_PS
#define Pin_ADC_In_0__SLW CYREG_PRT0_SLW

/* Pin_ADC_In_1 */
#define Pin_ADC_In_1__0__MASK 0x01u
#define Pin_ADC_In_1__0__PC CYREG_PRT0_PC0
#define Pin_ADC_In_1__0__PORT 0
#define Pin_ADC_In_1__0__SHIFT 0
#define Pin_ADC_In_1__AG CYREG_PRT0_AG
#define Pin_ADC_In_1__AMUX CYREG_PRT0_AMUX
#define Pin_ADC_In_1__BIE CYREG_PRT0_BIE
#define Pin_ADC_In_1__BIT_MASK CYREG_PRT0_BIT_MASK
#define Pin_ADC_In_1__BYP CYREG_PRT0_BYP
#define Pin_ADC_In_1__CTL CYREG_PRT0_CTL
#define Pin_ADC_In_1__DM0 CYREG_PRT0_DM0
#define Pin_ADC_In_1__DM1 CYREG_PRT0_DM1
#define Pin_ADC_In_1__DM2 CYREG_PRT0_DM2
#define Pin_ADC_In_1__DR CYREG_PRT0_DR
#define Pin_ADC_In_1__INP_DIS CYREG_PRT0_INP_DIS
#define Pin_ADC_In_1__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Pin_ADC_In_1__LCD_EN CYREG_PRT0_LCD_EN
#define Pin_ADC_In_1__PORT 0
#define Pin_ADC_In_1__PRT CYREG_PRT0_PRT
#define Pin_ADC_In_1__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Pin_ADC_In_1__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Pin_ADC_In_1__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Pin_ADC_In_1__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Pin_ADC_In_1__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Pin_ADC_In_1__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Pin_ADC_In_1__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Pin_ADC_In_1__PS CYREG_PRT0_PS
#define Pin_ADC_In_1__SLW CYREG_PRT0_SLW

/* Status_Reg_1 */
#define Status_Reg_1_sts_reg__0__MASK 0x01u
#define Status_Reg_1_sts_reg__0__POS 0
#define Status_Reg_1_sts_reg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB00_01_ACTL
#define Status_Reg_1_sts_reg__16BIT_STATUS_REG CYREG_B0_UDB00_01_ST
#define Status_Reg_1_sts_reg__MASK 0x01u
#define Status_Reg_1_sts_reg__MASK_REG CYREG_B0_UDB00_MSK
#define Status_Reg_1_sts_reg__STATUS_AUX_CTL_REG CYREG_B0_UDB00_ACTL
#define Status_Reg_1_sts_reg__STATUS_REG CYREG_B0_UDB00_ST

/* USBFS_1_ep_0 */
#define USBFS_1_ep_0__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBFS_1_ep_0__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBFS_1_ep_0__INTC_MASK 0x8000000u
#define USBFS_1_ep_0__INTC_NUMBER 27
#define USBFS_1_ep_0__INTC_PRIOR_NUM 7
#define USBFS_1_ep_0__INTC_PRIOR_REG CYREG_NVIC_PRI_27
#define USBFS_1_ep_0__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBFS_1_ep_0__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USBFS_1_ep_1 */
#define USBFS_1_ep_1__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBFS_1_ep_1__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBFS_1_ep_1__INTC_MASK 0x20000000u
#define USBFS_1_ep_1__INTC_NUMBER 29
#define USBFS_1_ep_1__INTC_PRIOR_NUM 7
#define USBFS_1_ep_1__INTC_PRIOR_REG CYREG_NVIC_PRI_29
#define USBFS_1_ep_1__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBFS_1_ep_1__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USBFS_1_USB */
#define USBFS_1_USB__ARB_CFG CYREG_USB_ARB_CFG
#define USBFS_1_USB__ARB_EP1_CFG CYREG_USB_ARB_EP1_CFG
#define USBFS_1_USB__ARB_EP1_INT_EN CYREG_USB_ARB_EP1_INT_EN
#define USBFS_1_USB__ARB_EP1_SR CYREG_USB_ARB_EP1_SR
#define USBFS_1_USB__ARB_EP2_CFG CYREG_USB_ARB_EP2_CFG
#define USBFS_1_USB__ARB_EP2_INT_EN CYREG_USB_ARB_EP2_INT_EN
#define USBFS_1_USB__ARB_EP2_SR CYREG_USB_ARB_EP2_SR
#define USBFS_1_USB__ARB_EP3_CFG CYREG_USB_ARB_EP3_CFG
#define USBFS_1_USB__ARB_EP3_INT_EN CYREG_USB_ARB_EP3_INT_EN
#define USBFS_1_USB__ARB_EP3_SR CYREG_USB_ARB_EP3_SR
#define USBFS_1_USB__ARB_EP4_CFG CYREG_USB_ARB_EP4_CFG
#define USBFS_1_USB__ARB_EP4_INT_EN CYREG_USB_ARB_EP4_INT_EN
#define USBFS_1_USB__ARB_EP4_SR CYREG_USB_ARB_EP4_SR
#define USBFS_1_USB__ARB_EP5_CFG CYREG_USB_ARB_EP5_CFG
#define USBFS_1_USB__ARB_EP5_INT_EN CYREG_USB_ARB_EP5_INT_EN
#define USBFS_1_USB__ARB_EP5_SR CYREG_USB_ARB_EP5_SR
#define USBFS_1_USB__ARB_EP6_CFG CYREG_USB_ARB_EP6_CFG
#define USBFS_1_USB__ARB_EP6_INT_EN CYREG_USB_ARB_EP6_INT_EN
#define USBFS_1_USB__ARB_EP6_SR CYREG_USB_ARB_EP6_SR
#define USBFS_1_USB__ARB_EP7_CFG CYREG_USB_ARB_EP7_CFG
#define USBFS_1_USB__ARB_EP7_INT_EN CYREG_USB_ARB_EP7_INT_EN
#define USBFS_1_USB__ARB_EP7_SR CYREG_USB_ARB_EP7_SR
#define USBFS_1_USB__ARB_EP8_CFG CYREG_USB_ARB_EP8_CFG
#define USBFS_1_USB__ARB_EP8_INT_EN CYREG_USB_ARB_EP8_INT_EN
#define USBFS_1_USB__ARB_EP8_SR CYREG_USB_ARB_EP8_SR
#define USBFS_1_USB__ARB_INT_EN CYREG_USB_ARB_INT_EN
#define USBFS_1_USB__ARB_INT_SR CYREG_USB_ARB_INT_SR
#define USBFS_1_USB__ARB_RW1_DR CYREG_USB_ARB_RW1_DR
#define USBFS_1_USB__ARB_RW1_RA CYREG_USB_ARB_RW1_RA
#define USBFS_1_USB__ARB_RW1_RA_MSB CYREG_USB_ARB_RW1_RA_MSB
#define USBFS_1_USB__ARB_RW1_WA CYREG_USB_ARB_RW1_WA
#define USBFS_1_USB__ARB_RW1_WA_MSB CYREG_USB_ARB_RW1_WA_MSB
#define USBFS_1_USB__ARB_RW2_DR CYREG_USB_ARB_RW2_DR
#define USBFS_1_USB__ARB_RW2_RA CYREG_USB_ARB_RW2_RA
#define USBFS_1_USB__ARB_RW2_RA_MSB CYREG_USB_ARB_RW2_RA_MSB
#define USBFS_1_USB__ARB_RW2_WA CYREG_USB_ARB_RW2_WA
#define USBFS_1_USB__ARB_RW2_WA_MSB CYREG_USB_ARB_RW2_WA_MSB
#define USBFS_1_USB__ARB_RW3_DR CYREG_USB_ARB_RW3_DR
#define USBFS_1_USB__ARB_RW3_RA CYREG_USB_ARB_RW3_RA
#define USBFS_1_USB__ARB_RW3_RA_MSB CYREG_USB_ARB_RW3_RA_MSB
#define USBFS_1_USB__ARB_RW3_WA CYREG_USB_ARB_RW3_WA
#define USBFS_1_USB__ARB_RW3_WA_MSB CYREG_USB_ARB_RW3_WA_MSB
#define USBFS_1_USB__ARB_RW4_DR CYREG_USB_ARB_RW4_DR
#define USBFS_1_USB__ARB_RW4_RA CYREG_USB_ARB_RW4_RA
#define USBFS_1_USB__ARB_RW4_RA_MSB CYREG_USB_ARB_RW4_RA_MSB
#define USBFS_1_USB__ARB_RW4_WA CYREG_USB_ARB_RW4_WA
#define USBFS_1_USB__ARB_RW4_WA_MSB CYREG_USB_ARB_RW4_WA_MSB
#define USBFS_1_USB__ARB_RW5_DR CYREG_USB_ARB_RW5_DR
#define USBFS_1_USB__ARB_RW5_RA CYREG_USB_ARB_RW5_RA
#define USBFS_1_USB__ARB_RW5_RA_MSB CYREG_USB_ARB_RW5_RA_MSB
#define USBFS_1_USB__ARB_RW5_WA CYREG_USB_ARB_RW5_WA
#define USBFS_1_USB__ARB_RW5_WA_MSB CYREG_USB_ARB_RW5_WA_MSB
#define USBFS_1_USB__ARB_RW6_DR CYREG_USB_ARB_RW6_DR
#define USBFS_1_USB__ARB_RW6_RA CYREG_USB_ARB_RW6_RA
#define USBFS_1_USB__ARB_RW6_RA_MSB CYREG_USB_ARB_RW6_RA_MSB
#define USBFS_1_USB__ARB_RW6_WA CYREG_USB_ARB_RW6_WA
#define USBFS_1_USB__ARB_RW6_WA_MSB CYREG_USB_ARB_RW6_WA_MSB
#define USBFS_1_USB__ARB_RW7_DR CYREG_USB_ARB_RW7_DR
#define USBFS_1_USB__ARB_RW7_RA CYREG_USB_ARB_RW7_RA
#define USBFS_1_USB__ARB_RW7_RA_MSB CYREG_USB_ARB_RW7_RA_MSB
#define USBFS_1_USB__ARB_RW7_WA CYREG_USB_ARB_RW7_WA
#define USBFS_1_USB__ARB_RW7_WA_MSB CYREG_USB_ARB_RW7_WA_MSB
#define USBFS_1_USB__ARB_RW8_DR CYREG_USB_ARB_RW8_DR
#define USBFS_1_USB__ARB_RW8_RA CYREG_USB_ARB_RW8_RA
#define USBFS_1_USB__ARB_RW8_RA_MSB CYREG_USB_ARB_RW8_RA_MSB
#define USBFS_1_USB__ARB_RW8_WA CYREG_USB_ARB_RW8_WA
#define USBFS_1_USB__ARB_RW8_WA_MSB CYREG_USB_ARB_RW8_WA_MSB
#define USBFS_1_USB__BUF_SIZE CYREG_USB_BUF_SIZE
#define USBFS_1_USB__BUS_RST_CNT CYREG_USB_BUS_RST_CNT
#define USBFS_1_USB__CR0 CYREG_USB_CR0
#define USBFS_1_USB__CR1 CYREG_USB_CR1
#define USBFS_1_USB__CWA CYREG_USB_CWA
#define USBFS_1_USB__CWA_MSB CYREG_USB_CWA_MSB
#define USBFS_1_USB__DMA_THRES CYREG_USB_DMA_THRES
#define USBFS_1_USB__DMA_THRES_MSB CYREG_USB_DMA_THRES_MSB
#define USBFS_1_USB__EP_ACTIVE CYREG_USB_EP_ACTIVE
#define USBFS_1_USB__EP_TYPE CYREG_USB_EP_TYPE
#define USBFS_1_USB__EP0_CNT CYREG_USB_EP0_CNT
#define USBFS_1_USB__EP0_CR CYREG_USB_EP0_CR
#define USBFS_1_USB__EP0_DR0 CYREG_USB_EP0_DR0
#define USBFS_1_USB__EP0_DR1 CYREG_USB_EP0_DR1
#define USBFS_1_USB__EP0_DR2 CYREG_USB_EP0_DR2
#define USBFS_1_USB__EP0_DR3 CYREG_USB_EP0_DR3
#define USBFS_1_USB__EP0_DR4 CYREG_USB_EP0_DR4
#define USBFS_1_USB__EP0_DR5 CYREG_USB_EP0_DR5
#define USBFS_1_USB__EP0_DR6 CYREG_USB_EP0_DR6
#define USBFS_1_USB__EP0_DR7 CYREG_USB_EP0_DR7
#define USBFS_1_USB__MEM_DATA CYREG_USB_MEM_DATA_MBASE
#define USBFS_1_USB__OSCLK_DR0 CYREG_USB_OSCLK_DR0
#define USBFS_1_USB__OSCLK_DR1 CYREG_USB_OSCLK_DR1
#define USBFS_1_USB__PM_ACT_CFG CYREG_PM_ACT_CFG5
#define USBFS_1_USB__PM_ACT_MSK 0x01u
#define USBFS_1_USB__PM_STBY_CFG CYREG_PM_STBY_CFG5
#define USBFS_1_USB__PM_STBY_MSK 0x01u
#define USBFS_1_USB__SIE_EP_INT_EN CYREG_USB_SIE_EP_INT_EN
#define USBFS_1_USB__SIE_EP_INT_SR CYREG_USB_SIE_EP_INT_SR
#define USBFS_1_USB__SIE_EP1_CNT0 CYREG_USB_SIE_EP1_CNT0
#define USBFS_1_USB__SIE_EP1_CNT1 CYREG_USB_SIE_EP1_CNT1
#define USBFS_1_USB__SIE_EP1_CR0 CYREG_USB_SIE_EP1_CR0
#define USBFS_1_USB__SIE_EP2_CNT0 CYREG_USB_SIE_EP2_CNT0
#define USBFS_1_USB__SIE_EP2_CNT1 CYREG_USB_SIE_EP2_CNT1
#define USBFS_1_USB__SIE_EP2_CR0 CYREG_USB_SIE_EP2_CR0
#define USBFS_1_USB__SIE_EP3_CNT0 CYREG_USB_SIE_EP3_CNT0
#define USBFS_1_USB__SIE_EP3_CNT1 CYREG_USB_SIE_EP3_CNT1
#define USBFS_1_USB__SIE_EP3_CR0 CYREG_USB_SIE_EP3_CR0
#define USBFS_1_USB__SIE_EP4_CNT0 CYREG_USB_SIE_EP4_CNT0
#define USBFS_1_USB__SIE_EP4_CNT1 CYREG_USB_SIE_EP4_CNT1
#define USBFS_1_USB__SIE_EP4_CR0 CYREG_USB_SIE_EP4_CR0
#define USBFS_1_USB__SIE_EP5_CNT0 CYREG_USB_SIE_EP5_CNT0
#define USBFS_1_USB__SIE_EP5_CNT1 CYREG_USB_SIE_EP5_CNT1
#define USBFS_1_USB__SIE_EP5_CR0 CYREG_USB_SIE_EP5_CR0
#define USBFS_1_USB__SIE_EP6_CNT0 CYREG_USB_SIE_EP6_CNT0
#define USBFS_1_USB__SIE_EP6_CNT1 CYREG_USB_SIE_EP6_CNT1
#define USBFS_1_USB__SIE_EP6_CR0 CYREG_USB_SIE_EP6_CR0
#define USBFS_1_USB__SIE_EP7_CNT0 CYREG_USB_SIE_EP7_CNT0
#define USBFS_1_USB__SIE_EP7_CNT1 CYREG_USB_SIE_EP7_CNT1
#define USBFS_1_USB__SIE_EP7_CR0 CYREG_USB_SIE_EP7_CR0
#define USBFS_1_USB__SIE_EP8_CNT0 CYREG_USB_SIE_EP8_CNT0
#define USBFS_1_USB__SIE_EP8_CNT1 CYREG_USB_SIE_EP8_CNT1
#define USBFS_1_USB__SIE_EP8_CR0 CYREG_USB_SIE_EP8_CR0
#define USBFS_1_USB__SOF0 CYREG_USB_SOF0
#define USBFS_1_USB__SOF1 CYREG_USB_SOF1
#define USBFS_1_USB__USB_CLK_EN CYREG_USB_USB_CLK_EN
#define USBFS_1_USB__USBIO_CR0 CYREG_USB_USBIO_CR0
#define USBFS_1_USB__USBIO_CR1 CYREG_USB_USBIO_CR1
#define USBFS_1_USB__USBIO_CR2 CYREG_USB_USBIO_CR2

/* PWM_PWMUDB */
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB14_15_ACTL
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB14_15_CTL
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB14_15_CTL
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB14_15_CTL
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB14_15_CTL
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__16BIT_MASK_MASK_REG CYREG_B0_UDB14_15_MSK
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB14_15_MSK
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB14_15_MSK
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB14_15_MSK
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__7__MASK 0x80u
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__7__POS 7
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__CONTROL_AUX_CTL_REG CYREG_B0_UDB14_ACTL
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__CONTROL_REG CYREG_B0_UDB14_CTL
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__CONTROL_ST_REG CYREG_B0_UDB14_ST_CTL
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__COUNT_REG CYREG_B0_UDB14_CTL
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__COUNT_ST_REG CYREG_B0_UDB14_ST_CTL
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__MASK 0x80u
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB14_MSK_ACTL
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB14_MSK_ACTL
#define PWM_PWMUDB_sCTRLReg_AsyncCtl_ctrlreg__PERIOD_REG CYREG_B0_UDB14_MSK
#define PWM_PWMUDB_sP16_pwmdp_u0__16BIT_A0_REG CYREG_B0_UDB13_14_A0
#define PWM_PWMUDB_sP16_pwmdp_u0__16BIT_A1_REG CYREG_B0_UDB13_14_A1
#define PWM_PWMUDB_sP16_pwmdp_u0__16BIT_D0_REG CYREG_B0_UDB13_14_D0
#define PWM_PWMUDB_sP16_pwmdp_u0__16BIT_D1_REG CYREG_B0_UDB13_14_D1
#define PWM_PWMUDB_sP16_pwmdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB13_14_ACTL
#define PWM_PWMUDB_sP16_pwmdp_u0__16BIT_F0_REG CYREG_B0_UDB13_14_F0
#define PWM_PWMUDB_sP16_pwmdp_u0__16BIT_F1_REG CYREG_B0_UDB13_14_F1
#define PWM_PWMUDB_sP16_pwmdp_u0__A0_A1_REG CYREG_B0_UDB13_A0_A1
#define PWM_PWMUDB_sP16_pwmdp_u0__A0_REG CYREG_B0_UDB13_A0
#define PWM_PWMUDB_sP16_pwmdp_u0__A1_REG CYREG_B0_UDB13_A1
#define PWM_PWMUDB_sP16_pwmdp_u0__D0_D1_REG CYREG_B0_UDB13_D0_D1
#define PWM_PWMUDB_sP16_pwmdp_u0__D0_REG CYREG_B0_UDB13_D0
#define PWM_PWMUDB_sP16_pwmdp_u0__D1_REG CYREG_B0_UDB13_D1
#define PWM_PWMUDB_sP16_pwmdp_u0__DP_AUX_CTL_REG CYREG_B0_UDB13_ACTL
#define PWM_PWMUDB_sP16_pwmdp_u0__F0_F1_REG CYREG_B0_UDB13_F0_F1
#define PWM_PWMUDB_sP16_pwmdp_u0__F0_REG CYREG_B0_UDB13_F0
#define PWM_PWMUDB_sP16_pwmdp_u0__F1_REG CYREG_B0_UDB13_F1
#define PWM_PWMUDB_sP16_pwmdp_u1__16BIT_A0_REG CYREG_B0_UDB14_15_A0
#define PWM_PWMUDB_sP16_pwmdp_u1__16BIT_A1_REG CYREG_B0_UDB14_15_A1
#define PWM_PWMUDB_sP16_pwmdp_u1__16BIT_D0_REG CYREG_B0_UDB14_15_D0
#define PWM_PWMUDB_sP16_pwmdp_u1__16BIT_D1_REG CYREG_B0_UDB14_15_D1
#define PWM_PWMUDB_sP16_pwmdp_u1__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB14_15_ACTL
#define PWM_PWMUDB_sP16_pwmdp_u1__16BIT_F0_REG CYREG_B0_UDB14_15_F0
#define PWM_PWMUDB_sP16_pwmdp_u1__16BIT_F1_REG CYREG_B0_UDB14_15_F1
#define PWM_PWMUDB_sP16_pwmdp_u1__A0_A1_REG CYREG_B0_UDB14_A0_A1
#define PWM_PWMUDB_sP16_pwmdp_u1__A0_REG CYREG_B0_UDB14_A0
#define PWM_PWMUDB_sP16_pwmdp_u1__A1_REG CYREG_B0_UDB14_A1
#define PWM_PWMUDB_sP16_pwmdp_u1__D0_D1_REG CYREG_B0_UDB14_D0_D1
#define PWM_PWMUDB_sP16_pwmdp_u1__D0_REG CYREG_B0_UDB14_D0
#define PWM_PWMUDB_sP16_pwmdp_u1__D1_REG CYREG_B0_UDB14_D1
#define PWM_PWMUDB_sP16_pwmdp_u1__DP_AUX_CTL_REG CYREG_B0_UDB14_ACTL
#define PWM_PWMUDB_sP16_pwmdp_u1__F0_F1_REG CYREG_B0_UDB14_F0_F1
#define PWM_PWMUDB_sP16_pwmdp_u1__F0_REG CYREG_B0_UDB14_F0
#define PWM_PWMUDB_sP16_pwmdp_u1__F1_REG CYREG_B0_UDB14_F1
#define PWM_PWMUDB_sP16_pwmdp_u1__MSK_DP_AUX_CTL_REG CYREG_B0_UDB14_MSK_ACTL
#define PWM_PWMUDB_sP16_pwmdp_u1__PER_DP_AUX_CTL_REG CYREG_B0_UDB14_MSK_ACTL

/* USBFS_1_Dm */
#define USBFS_1_Dm__0__MASK 0x80u
#define USBFS_1_Dm__0__PC CYREG_PRT15_PC7
#define USBFS_1_Dm__0__PORT 15
#define USBFS_1_Dm__0__SHIFT 7
#define USBFS_1_Dm__AG CYREG_PRT15_AG
#define USBFS_1_Dm__AMUX CYREG_PRT15_AMUX
#define USBFS_1_Dm__BIE CYREG_PRT15_BIE
#define USBFS_1_Dm__BIT_MASK CYREG_PRT15_BIT_MASK
#define USBFS_1_Dm__BYP CYREG_PRT15_BYP
#define USBFS_1_Dm__CTL CYREG_PRT15_CTL
#define USBFS_1_Dm__DM0 CYREG_PRT15_DM0
#define USBFS_1_Dm__DM1 CYREG_PRT15_DM1
#define USBFS_1_Dm__DM2 CYREG_PRT15_DM2
#define USBFS_1_Dm__DR CYREG_PRT15_DR
#define USBFS_1_Dm__INP_DIS CYREG_PRT15_INP_DIS
#define USBFS_1_Dm__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define USBFS_1_Dm__LCD_EN CYREG_PRT15_LCD_EN
#define USBFS_1_Dm__PORT 15
#define USBFS_1_Dm__PRT CYREG_PRT15_PRT
#define USBFS_1_Dm__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define USBFS_1_Dm__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define USBFS_1_Dm__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define USBFS_1_Dm__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define USBFS_1_Dm__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define USBFS_1_Dm__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define USBFS_1_Dm__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define USBFS_1_Dm__PS CYREG_PRT15_PS
#define USBFS_1_Dm__SLW CYREG_PRT15_SLW

/* USBFS_1_Dp */
#define USBFS_1_Dp__0__MASK 0x40u
#define USBFS_1_Dp__0__PC CYREG_PRT15_PC6
#define USBFS_1_Dp__0__PORT 15
#define USBFS_1_Dp__0__SHIFT 6
#define USBFS_1_Dp__AG CYREG_PRT15_AG
#define USBFS_1_Dp__AMUX CYREG_PRT15_AMUX
#define USBFS_1_Dp__BIE CYREG_PRT15_BIE
#define USBFS_1_Dp__BIT_MASK CYREG_PRT15_BIT_MASK
#define USBFS_1_Dp__BYP CYREG_PRT15_BYP
#define USBFS_1_Dp__CTL CYREG_PRT15_CTL
#define USBFS_1_Dp__DM0 CYREG_PRT15_DM0
#define USBFS_1_Dp__DM1 CYREG_PRT15_DM1
#define USBFS_1_Dp__DM2 CYREG_PRT15_DM2
#define USBFS_1_Dp__DR CYREG_PRT15_DR
#define USBFS_1_Dp__INP_DIS CYREG_PRT15_INP_DIS
#define USBFS_1_Dp__INTSTAT CYREG_PICU15_INTSTAT
#define USBFS_1_Dp__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define USBFS_1_Dp__LCD_EN CYREG_PRT15_LCD_EN
#define USBFS_1_Dp__MASK 0x40u
#define USBFS_1_Dp__PORT 15
#define USBFS_1_Dp__PRT CYREG_PRT15_PRT
#define USBFS_1_Dp__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define USBFS_1_Dp__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define USBFS_1_Dp__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define USBFS_1_Dp__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define USBFS_1_Dp__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define USBFS_1_Dp__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define USBFS_1_Dp__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define USBFS_1_Dp__PS CYREG_PRT15_PS
#define USBFS_1_Dp__SHIFT 6
#define USBFS_1_Dp__SLW CYREG_PRT15_SLW
#define USBFS_1_Dp__SNAP CYREG_PICU15_SNAP

/* CLK_to_CP */
#define CLK_to_CP__0__MASK 0x02u
#define CLK_to_CP__0__PC CYREG_PRT0_PC1
#define CLK_to_CP__0__PORT 0
#define CLK_to_CP__0__SHIFT 1
#define CLK_to_CP__AG CYREG_PRT0_AG
#define CLK_to_CP__AMUX CYREG_PRT0_AMUX
#define CLK_to_CP__BIE CYREG_PRT0_BIE
#define CLK_to_CP__BIT_MASK CYREG_PRT0_BIT_MASK
#define CLK_to_CP__BYP CYREG_PRT0_BYP
#define CLK_to_CP__CTL CYREG_PRT0_CTL
#define CLK_to_CP__DM0 CYREG_PRT0_DM0
#define CLK_to_CP__DM1 CYREG_PRT0_DM1
#define CLK_to_CP__DM2 CYREG_PRT0_DM2
#define CLK_to_CP__DR CYREG_PRT0_DR
#define CLK_to_CP__INP_DIS CYREG_PRT0_INP_DIS
#define CLK_to_CP__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define CLK_to_CP__LCD_EN CYREG_PRT0_LCD_EN
#define CLK_to_CP__MASK 0x02u
#define CLK_to_CP__PORT 0
#define CLK_to_CP__PRT CYREG_PRT0_PRT
#define CLK_to_CP__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define CLK_to_CP__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define CLK_to_CP__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define CLK_to_CP__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define CLK_to_CP__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define CLK_to_CP__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define CLK_to_CP__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define CLK_to_CP__PS CYREG_PRT0_PS
#define CLK_to_CP__SHIFT 1
#define CLK_to_CP__SLW CYREG_PRT0_SLW

/* EOC_TEST2 */
#define EOC_TEST2__0__MASK 0x20u
#define EOC_TEST2__0__PC CYREG_PRT4_PC5
#define EOC_TEST2__0__PORT 4
#define EOC_TEST2__0__SHIFT 5
#define EOC_TEST2__AG CYREG_PRT4_AG
#define EOC_TEST2__AMUX CYREG_PRT4_AMUX
#define EOC_TEST2__BIE CYREG_PRT4_BIE
#define EOC_TEST2__BIT_MASK CYREG_PRT4_BIT_MASK
#define EOC_TEST2__BYP CYREG_PRT4_BYP
#define EOC_TEST2__CTL CYREG_PRT4_CTL
#define EOC_TEST2__DM0 CYREG_PRT4_DM0
#define EOC_TEST2__DM1 CYREG_PRT4_DM1
#define EOC_TEST2__DM2 CYREG_PRT4_DM2
#define EOC_TEST2__DR CYREG_PRT4_DR
#define EOC_TEST2__INP_DIS CYREG_PRT4_INP_DIS
#define EOC_TEST2__LCD_COM_SEG CYREG_PRT4_LCD_COM_SEG
#define EOC_TEST2__LCD_EN CYREG_PRT4_LCD_EN
#define EOC_TEST2__MASK 0x20u
#define EOC_TEST2__PORT 4
#define EOC_TEST2__PRT CYREG_PRT4_PRT
#define EOC_TEST2__PRTDSI__CAPS_SEL CYREG_PRT4_CAPS_SEL
#define EOC_TEST2__PRTDSI__DBL_SYNC_IN CYREG_PRT4_DBL_SYNC_IN
#define EOC_TEST2__PRTDSI__OE_SEL0 CYREG_PRT4_OE_SEL0
#define EOC_TEST2__PRTDSI__OE_SEL1 CYREG_PRT4_OE_SEL1
#define EOC_TEST2__PRTDSI__OUT_SEL0 CYREG_PRT4_OUT_SEL0
#define EOC_TEST2__PRTDSI__OUT_SEL1 CYREG_PRT4_OUT_SEL1
#define EOC_TEST2__PRTDSI__SYNC_OUT CYREG_PRT4_SYNC_OUT
#define EOC_TEST2__PS CYREG_PRT4_PS
#define EOC_TEST2__SHIFT 5
#define EOC_TEST2__SLW CYREG_PRT4_SLW

/* NRQ_TEST2 */
#define NRQ_TEST2__0__MASK 0x20u
#define NRQ_TEST2__0__PC CYREG_PRT15_PC5
#define NRQ_TEST2__0__PORT 15
#define NRQ_TEST2__0__SHIFT 5
#define NRQ_TEST2__AG CYREG_PRT15_AG
#define NRQ_TEST2__AMUX CYREG_PRT15_AMUX
#define NRQ_TEST2__BIE CYREG_PRT15_BIE
#define NRQ_TEST2__BIT_MASK CYREG_PRT15_BIT_MASK
#define NRQ_TEST2__BYP CYREG_PRT15_BYP
#define NRQ_TEST2__CTL CYREG_PRT15_CTL
#define NRQ_TEST2__DM0 CYREG_PRT15_DM0
#define NRQ_TEST2__DM1 CYREG_PRT15_DM1
#define NRQ_TEST2__DM2 CYREG_PRT15_DM2
#define NRQ_TEST2__DR CYREG_PRT15_DR
#define NRQ_TEST2__INP_DIS CYREG_PRT15_INP_DIS
#define NRQ_TEST2__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define NRQ_TEST2__LCD_EN CYREG_PRT15_LCD_EN
#define NRQ_TEST2__MASK 0x20u
#define NRQ_TEST2__PORT 15
#define NRQ_TEST2__PRT CYREG_PRT15_PRT
#define NRQ_TEST2__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define NRQ_TEST2__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define NRQ_TEST2__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define NRQ_TEST2__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define NRQ_TEST2__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define NRQ_TEST2__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define NRQ_TEST2__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define NRQ_TEST2__PS CYREG_PRT15_PS
#define NRQ_TEST2__SHIFT 5
#define NRQ_TEST2__SLW CYREG_PRT15_SLW

/* EOC_TEST */
#define EOC_TEST__0__MASK 0x20u
#define EOC_TEST__0__PC CYREG_PRT12_PC5
#define EOC_TEST__0__PORT 12
#define EOC_TEST__0__SHIFT 5
#define EOC_TEST__AG CYREG_PRT12_AG
#define EOC_TEST__BIE CYREG_PRT12_BIE
#define EOC_TEST__BIT_MASK CYREG_PRT12_BIT_MASK
#define EOC_TEST__BYP CYREG_PRT12_BYP
#define EOC_TEST__DM0 CYREG_PRT12_DM0
#define EOC_TEST__DM1 CYREG_PRT12_DM1
#define EOC_TEST__DM2 CYREG_PRT12_DM2
#define EOC_TEST__DR CYREG_PRT12_DR
#define EOC_TEST__INP_DIS CYREG_PRT12_INP_DIS
#define EOC_TEST__MASK 0x20u
#define EOC_TEST__PORT 12
#define EOC_TEST__PRT CYREG_PRT12_PRT
#define EOC_TEST__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define EOC_TEST__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define EOC_TEST__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define EOC_TEST__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define EOC_TEST__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define EOC_TEST__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define EOC_TEST__PS CYREG_PRT12_PS
#define EOC_TEST__SHIFT 5
#define EOC_TEST__SIO_CFG CYREG_PRT12_SIO_CFG
#define EOC_TEST__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define EOC_TEST__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define EOC_TEST__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define EOC_TEST__SLW CYREG_PRT12_SLW

/* NRQ_TEST */
#define NRQ_TEST__0__MASK 0x40u
#define NRQ_TEST__0__PC CYREG_PRT12_PC6
#define NRQ_TEST__0__PORT 12
#define NRQ_TEST__0__SHIFT 6
#define NRQ_TEST__AG CYREG_PRT12_AG
#define NRQ_TEST__BIE CYREG_PRT12_BIE
#define NRQ_TEST__BIT_MASK CYREG_PRT12_BIT_MASK
#define NRQ_TEST__BYP CYREG_PRT12_BYP
#define NRQ_TEST__DM0 CYREG_PRT12_DM0
#define NRQ_TEST__DM1 CYREG_PRT12_DM1
#define NRQ_TEST__DM2 CYREG_PRT12_DM2
#define NRQ_TEST__DR CYREG_PRT12_DR
#define NRQ_TEST__INP_DIS CYREG_PRT12_INP_DIS
#define NRQ_TEST__MASK 0x40u
#define NRQ_TEST__PORT 12
#define NRQ_TEST__PRT CYREG_PRT12_PRT
#define NRQ_TEST__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define NRQ_TEST__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define NRQ_TEST__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define NRQ_TEST__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define NRQ_TEST__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define NRQ_TEST__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define NRQ_TEST__PS CYREG_PRT12_PS
#define NRQ_TEST__SHIFT 6
#define NRQ_TEST__SIO_CFG CYREG_PRT12_SIO_CFG
#define NRQ_TEST__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define NRQ_TEST__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define NRQ_TEST__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define NRQ_TEST__SLW CYREG_PRT12_SLW

/* PWM_TEST */
#define PWM_TEST__0__MASK 0x08u
#define PWM_TEST__0__PC CYREG_PRT15_PC3
#define PWM_TEST__0__PORT 15
#define PWM_TEST__0__SHIFT 3
#define PWM_TEST__AG CYREG_PRT15_AG
#define PWM_TEST__AMUX CYREG_PRT15_AMUX
#define PWM_TEST__BIE CYREG_PRT15_BIE
#define PWM_TEST__BIT_MASK CYREG_PRT15_BIT_MASK
#define PWM_TEST__BYP CYREG_PRT15_BYP
#define PWM_TEST__CTL CYREG_PRT15_CTL
#define PWM_TEST__DM0 CYREG_PRT15_DM0
#define PWM_TEST__DM1 CYREG_PRT15_DM1
#define PWM_TEST__DM2 CYREG_PRT15_DM2
#define PWM_TEST__DR CYREG_PRT15_DR
#define PWM_TEST__INP_DIS CYREG_PRT15_INP_DIS
#define PWM_TEST__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define PWM_TEST__LCD_EN CYREG_PRT15_LCD_EN
#define PWM_TEST__MASK 0x08u
#define PWM_TEST__PORT 15
#define PWM_TEST__PRT CYREG_PRT15_PRT
#define PWM_TEST__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define PWM_TEST__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define PWM_TEST__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define PWM_TEST__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define PWM_TEST__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define PWM_TEST__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define PWM_TEST__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define PWM_TEST__PS CYREG_PRT15_PS
#define PWM_TEST__SHIFT 3
#define PWM_TEST__SLW CYREG_PRT15_SLW

/* TC_to_SP */
#define TC_to_SP__0__MASK 0x04u
#define TC_to_SP__0__PC CYREG_PRT0_PC2
#define TC_to_SP__0__PORT 0
#define TC_to_SP__0__SHIFT 2
#define TC_to_SP__AG CYREG_PRT0_AG
#define TC_to_SP__AMUX CYREG_PRT0_AMUX
#define TC_to_SP__BIE CYREG_PRT0_BIE
#define TC_to_SP__BIT_MASK CYREG_PRT0_BIT_MASK
#define TC_to_SP__BYP CYREG_PRT0_BYP
#define TC_to_SP__CTL CYREG_PRT0_CTL
#define TC_to_SP__DM0 CYREG_PRT0_DM0
#define TC_to_SP__DM1 CYREG_PRT0_DM1
#define TC_to_SP__DM2 CYREG_PRT0_DM2
#define TC_to_SP__DR CYREG_PRT0_DR
#define TC_to_SP__INP_DIS CYREG_PRT0_INP_DIS
#define TC_to_SP__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define TC_to_SP__LCD_EN CYREG_PRT0_LCD_EN
#define TC_to_SP__MASK 0x04u
#define TC_to_SP__PORT 0
#define TC_to_SP__PRT CYREG_PRT0_PRT
#define TC_to_SP__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define TC_to_SP__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define TC_to_SP__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define TC_to_SP__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define TC_to_SP__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define TC_to_SP__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define TC_to_SP__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define TC_to_SP__PS CYREG_PRT0_PS
#define TC_to_SP__SHIFT 2
#define TC_to_SP__SLW CYREG_PRT0_SLW

/* Clock_1 */
#define Clock_1__CFG0 CYREG_CLKDIST_DCFG2_CFG0
#define Clock_1__CFG1 CYREG_CLKDIST_DCFG2_CFG1
#define Clock_1__CFG2 CYREG_CLKDIST_DCFG2_CFG2
#define Clock_1__CFG2_SRC_SEL_MASK 0x07u
#define Clock_1__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_1__PM_ACT_MSK 0x04u
#define Clock_1__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_1__PM_STBY_MSK 0x04u

/* Trigger */
#define Trigger__0__MASK 0x10u
#define Trigger__0__PC CYREG_PRT0_PC4
#define Trigger__0__PORT 0
#define Trigger__0__SHIFT 4
#define Trigger__AG CYREG_PRT0_AG
#define Trigger__AMUX CYREG_PRT0_AMUX
#define Trigger__BIE CYREG_PRT0_BIE
#define Trigger__BIT_MASK CYREG_PRT0_BIT_MASK
#define Trigger__BYP CYREG_PRT0_BYP
#define Trigger__CTL CYREG_PRT0_CTL
#define Trigger__DM0 CYREG_PRT0_DM0
#define Trigger__DM1 CYREG_PRT0_DM1
#define Trigger__DM2 CYREG_PRT0_DM2
#define Trigger__DR CYREG_PRT0_DR
#define Trigger__INP_DIS CYREG_PRT0_INP_DIS
#define Trigger__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Trigger__LCD_EN CYREG_PRT0_LCD_EN
#define Trigger__MASK 0x10u
#define Trigger__PORT 0
#define Trigger__PRT CYREG_PRT0_PRT
#define Trigger__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Trigger__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Trigger__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Trigger__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Trigger__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Trigger__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Trigger__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Trigger__PS CYREG_PRT0_PS
#define Trigger__SHIFT 4
#define Trigger__SLW CYREG_PRT0_SLW

/* DMA_1 */
#define DMA_1__DRQ_CTL CYREG_IDMUX_DRQ_CTL2
#define DMA_1__DRQ_NUMBER 11
#define DMA_1__NUMBEROF_TDS 0
#define DMA_1__PRIORITY 2
#define DMA_1__TERMIN_EN 0
#define DMA_1__TERMIN_SEL 0
#define DMA_1__TERMOUT0_EN 1
#define DMA_1__TERMOUT0_SEL 11
#define DMA_1__TERMOUT1_EN 0
#define DMA_1__TERMOUT1_SEL 0

/* DMA_2 */
#define DMA_2__DRQ_CTL CYREG_IDMUX_DRQ_CTL3
#define DMA_2__DRQ_NUMBER 14
#define DMA_2__NUMBEROF_TDS 0
#define DMA_2__PRIORITY 2
#define DMA_2__TERMIN_EN 0
#define DMA_2__TERMIN_SEL 0
#define DMA_2__TERMOUT0_EN 1
#define DMA_2__TERMOUT0_SEL 14
#define DMA_2__TERMOUT1_EN 0
#define DMA_2__TERMOUT1_SEL 0

/* ISR_1 */
#define ISR_1__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define ISR_1__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define ISR_1__INTC_MASK 0x800u
#define ISR_1__INTC_NUMBER 11
#define ISR_1__INTC_PRIOR_NUM 7
#define ISR_1__INTC_PRIOR_REG CYREG_NVIC_PRI_11
#define ISR_1__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define ISR_1__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* Pin_1 */
#define Pin_1__0__MASK 0x20u
#define Pin_1__0__PC CYREG_PRT0_PC5
#define Pin_1__0__PORT 0
#define Pin_1__0__SHIFT 5
#define Pin_1__AG CYREG_PRT0_AG
#define Pin_1__AMUX CYREG_PRT0_AMUX
#define Pin_1__BIE CYREG_PRT0_BIE
#define Pin_1__BIT_MASK CYREG_PRT0_BIT_MASK
#define Pin_1__BYP CYREG_PRT0_BYP
#define Pin_1__CTL CYREG_PRT0_CTL
#define Pin_1__DM0 CYREG_PRT0_DM0
#define Pin_1__DM1 CYREG_PRT0_DM1
#define Pin_1__DM2 CYREG_PRT0_DM2
#define Pin_1__DR CYREG_PRT0_DR
#define Pin_1__INP_DIS CYREG_PRT0_INP_DIS
#define Pin_1__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Pin_1__LCD_EN CYREG_PRT0_LCD_EN
#define Pin_1__MASK 0x20u
#define Pin_1__PORT 0
#define Pin_1__PRT CYREG_PRT0_PRT
#define Pin_1__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Pin_1__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Pin_1__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Pin_1__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Pin_1__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Pin_1__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Pin_1__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Pin_1__PS CYREG_PRT0_PS
#define Pin_1__SHIFT 5
#define Pin_1__SLW CYREG_PRT0_SLW

/* Pin_2 */
#define Pin_2__0__MASK 0x40u
#define Pin_2__0__PC CYREG_PRT0_PC6
#define Pin_2__0__PORT 0
#define Pin_2__0__SHIFT 6
#define Pin_2__AG CYREG_PRT0_AG
#define Pin_2__AMUX CYREG_PRT0_AMUX
#define Pin_2__BIE CYREG_PRT0_BIE
#define Pin_2__BIT_MASK CYREG_PRT0_BIT_MASK
#define Pin_2__BYP CYREG_PRT0_BYP
#define Pin_2__CTL CYREG_PRT0_CTL
#define Pin_2__DM0 CYREG_PRT0_DM0
#define Pin_2__DM1 CYREG_PRT0_DM1
#define Pin_2__DM2 CYREG_PRT0_DM2
#define Pin_2__DR CYREG_PRT0_DR
#define Pin_2__INP_DIS CYREG_PRT0_INP_DIS
#define Pin_2__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Pin_2__LCD_EN CYREG_PRT0_LCD_EN
#define Pin_2__MASK 0x40u
#define Pin_2__PORT 0
#define Pin_2__PRT CYREG_PRT0_PRT
#define Pin_2__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Pin_2__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Pin_2__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Pin_2__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Pin_2__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Pin_2__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Pin_2__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Pin_2__PS CYREG_PRT0_PS
#define Pin_2__SHIFT 6
#define Pin_2__SLW CYREG_PRT0_SLW

/* Miscellaneous */
/* -- WARNING: define names containting LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_CHIP_REVISION_5A_ES1 1
#define CYDEV_CHIP_REV_PANTHER_ES1 1
#define CYDEV_CHIP_MEMBER_5A 2
#define CYDEV_CHIP_FAMILY_PSOC5 2
#define CYDEV_CHIP_DIE_PANTHER 2
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_PANTHER
#define BCLK__BUS_CLK__HZ 33000000U
#define BCLK__BUS_CLK__KHZ 33000U
#define BCLK__BUS_CLK__MHZ 33U
#define CyBtldr_Custom_Interface 1
#define CyBtldr_USBFS_1 0
#define CYDEV_BOOTLOADER_CHECKSUM 0
#define CYDEV_BOOTLOADER_CHECKSUM_BASIC 0
#define CYDEV_BOOTLOADER_CHECKSUM_CRC 1
#define CYDEV_BOOTLOADER_WAIT_COMMAND 1
#define CYDEV_BOOTLOADER_WAIT_TIME 10
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_LEOPARD 1
#define CYDEV_CHIP_DIE_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_PSOC3 1
#define CYDEV_CHIP_FAMILY_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC5
#define CYDEV_CHIP_JTAG_ID 0x0E13C069
#define CYDEV_CHIP_MEMBER_3A 1
#define CYDEV_CHIP_MEMBER_UNKNOWN 0
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_5A
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_PANTHER_ES1
#define CYDEV_CHIP_REV_LEOPARD_ES1 0
#define CYDEV_CHIP_REV_LEOPARD_ES2 1
#define CYDEV_CHIP_REV_LEOPARD_ES3 3
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3
#define CYDEV_CHIP_REV_PANTHER_ES0 0
#define CYDEV_CHIP_REVISION_3A_ES1 0
#define CYDEV_CHIP_REVISION_3A_ES2 1
#define CYDEV_CHIP_REVISION_3A_ES3 3
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3
#define CYDEV_CHIP_REVISION_5A_ES0 0
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_5A_ES1
#define CYDEV_CONFIG_FORCE_ROUTE 0
#define CYDEV_CONFIG_UNUSED_IO 0
#define CYDEV_CONFIGURATION_COMPRESSED 0
#define CYDEV_CONFIGURATION_DMA 1
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED 1
#define CYDEV_CONFIGURATION_MODE 2
#define CYDEV_DATA_CACHE_ENABLED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x01
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DBG_DBE
#define CYDEV_DEBUGGING_DPS 2
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_ECC_ENABLE 0
#define CYDEV_HEAP_SIZE 4096
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_STACK_SIZE 16384
#define CYDEV_USB_CLK_OSC_LOCKING_ENABLED_AT_PWR_UP 
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5
#define CYDEV_VIO3_MV 5000
#define DMA_CHANNELS_USED__MASK0 0x00004800u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
